Update a Document to Steady State
This endpoint allows SiteVault Enterprise users to use APIs to update a document to its steady or approved state.
POST
/api/{version}/app/sitevault/ebinder/documents/{doc_id}/actions/makesteadystateHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{:documentId} | Identifies the document to transition to steady state. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
major_version_number__vrequired | The major version of the document to move to current. Must match the latest version of the document. |
minor_version_number__vrequired | The minor version of the document to move to current. Must match the latest version of the document. |
document_date__vrequired | Specify the date to set in the Document Date field in YYYY-MM-DD format. On source documents, this date is also set as the End Date. |
title__voptional | Optional update to the document’s Description field. If no value is set, any existing content in the Description field is removed. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/app/sitevault/ebinder/documents/12345/actions/makesteadystate?major_version_number__v=1&minor_version_number__v=0&document_date__v=2024-03-23Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"dt_global_version_id__v": "######_12345_1_0"
}
}Response Details
Section link for Response Details- On
SUCCESS, thedt_global_version_id__vis returned. - Missing parameters or version values that do not match the latest version will prompt an error.